LinuxQMISDK: PDSPositionData Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
PDSPositionData Struct Reference

## Data Fields
ULONGLONG * | pTimeStamp
ULONGLONG * | pLatitude
ULONGLONG * | pLongitude
ULONG * | pAltitudeWrtEllipsoid
ULONG * | pAltitudeWrtSealevel
ULONG * | pHorizontalUncCircular
ULONG * | pVerticalUnc
BYTE * | pHorizontalConfidence
BYTE * | pVerticalConfidence
BYTE * | pPositionSource
BYTE * | pTimeType

## Detailed Description

Position Data Parameters from the external source to be injected to PDS engine.

Parameters

  pTimeStamp | Timestamp of the injected position in msec. The time can be of type UTC, GPS, or Age and is defined in the pTimeType parameter. If the pTimeType is not present, the timestamp shall be assumed to be UTC time
  pLatitude | Latitude position referenced to the WGS-84 reference ellipsoid, counting positive angles north of the equator and negative angles south of the equator. Value (in decimal degrees) in the range from -90 degrees to +90 degrees.Value in double float format (refer toIEEE Std 754-1985)
  pLongitude | Longitude position referenced to the WGS-84 reference ellipsoid, counting positive angles east of the Greenwich Meridian and negative angles west of Greenwich meridian. Value (in decimal degrees) in the range from -180 degrees to +180 degrees.
  pAltitudeWrtEllipsoid | Height above the WGS-84 reference ellipsoid. Value conveys height (in meters). When injecting altitude information, the control point should include either this parameter or the pAltitudeWrtSealevel parameter. Value in single float format (refer to IEEE Std 754-1985)
  pAltitudeWrtSealevel | Height of MS above the mean sea level in units (in meters). When injecting altitude information, the control point should include either this parameter or the pAltitudeWrtEllipsoid parameter. Value in single float format (refer to IEEE Std 754-1985)
  pHorizontalUncCircular | Circular horizontal uncertainty (in meters). This parameter must be included if the latitude and longitude parameters are specified. Value in single float format (refer to IEEE Std 754-1985)
  pVerticalUnc | Vertical uncertainty (in meters). This parameter must be included if one of the altitude parameter are specified.Value in single float format (refer to IEEE Std 754-1985)
  pHorizontalConfidence | Confidence value of the location horizontal uncertainty, specified as percentage, 1 to 100. This parameter must be included if the latitude and longitude parameters are specified.
  pVerticalConfidence | Confidence value of the location vertical uncertainty, specified as percentage, 1 to 100. This parameter must be included if one of the altitude paramters are specified.
  pPositionSource | Source of injected position: 0x00 - Unknown 0x01 - GPS 0x02 - Cell ID 0x03 - Enhanced cell ID 0x04 - WiFi 0x05 - Terrestrial 0x06 - Terrestrial hybrid 0x07 - Other
  pTimeType | Defines the time value set in the pTimeStamp parameter. 0x00 - UTC Time: starting Jan 1, 1970 0x01 - GPS Time: starting Jan 6, 1980 0x02 - Age: Age of position information

## Field Documentation

ULONG* PDSPositionData::pAltitudeWrtEllipsoid

ULONG* PDSPositionData::pAltitudeWrtSealevel

BYTE* PDSPositionData::pHorizontalConfidence

ULONG* PDSPositionData::pHorizontalUncCircular

ULONGLONG* PDSPositionData::pLatitude

ULONGLONG* PDSPositionData::pLongitude

BYTE* PDSPositionData::pPositionSource

ULONGLONG* PDSPositionData::pTimeStamp

BYTE* PDSPositionData::pTimeType

BYTE* PDSPositionData::pVerticalConfidence

ULONG* PDSPositionData::pVerticalUnc